[PACKAGE]: ../../raw/master/mkp/if64name-0.0.4-20231021.mkp "if64name-0.0.4-20231021.mkp"
# if64name

This is a extension for the _if64_ check. It will replace _ifDescr_ with _ifName_ if available.\
Also the long interface name will be replaced by a short version (ie. **HundredGigabitEthernet0/0/0** replaced by **Hu0/0/0**).


To use this extension you need to have a interface discovery rule that uses interface description as the service item.


To use the unchanged _if64_ version, just disable the _if64name_ snmp section. The original _if64_ check stayes completely unchanged.

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output 
  
| | original if64 | modifiyed if64name |
| -- | ---- | ----- |
|Cisco Catalyst | ![Sample output original if64 Cisco Catalyst](img/sampleif64-catalyst.png?raw=true "Sample output original if64 Cisco Catalyst") |  ![Sample output original if64name Cisco Catalyst](img/sampleif64name-catalyst.png?raw=true "Sample output original if64name Cisco Catalyst")|
| Alcatel-Lucent | ![Sample output original if64 Alcatel-Lucent](img/sampleif64-alcatel.png?raw=true "Sample output original if64 Alcatel-Lucent") | ![Sample output original if64name Alcatel Lucent](img/sampleif64name-alcatel.png?raw=true "Sample output original if64name Alcatel Lucent") |
| Cisco ASA | ![Sample output original if64 Cisco ASA](img/sampleif64-asa.png?raw=true "Sample output original if64 Cisco ASA") |  ![Sample output original if64name Cisco ASA](img/sampleif64name-asa.png?raw=true "Sample output original if64name Cisco ASA")|
| Check Point |  ![Sample output original if64 Check Pointt](img/sampleif64-checkpoint.png?raw=true "Sample output original if64 Check Point") |  ![Sample output original if64name Check Point](img/sampleif64name-checkpoint.png?raw=true "Sample output original if64name Check Point")|
